Retrieves the project status with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "0b61ac04-5f69-4dc7-83cd-d02d83c9711f",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "398b3faf-35ca-4c9f-ac12-fa8e48cd61b7",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "304e250e-97e1-4f72-bbdb-756a5a877290",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "a557a963-e286-436a-9a24-ea5d1babfee1",
"db_currency_id": "a34e3011-7081-4b32-864c-670cbb58ac38",
"db_language_id": "d0d0adc5-bf7e-46f3-98cf-2e0cb8f347ef",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-18T03:51:35.4912119+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-04-18T03:51:35.4912119+00:00"
}